/*
  DXC Framework (http://dx-competition.org/)
  Copyright 2008 David Garcia

  The DXC Framework is free software: you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation, either version 3 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
  details.

  You should have received a copy of the GNU Lesser General Public License
  along with this program. If not, see <http://www.gnu.org/licenses/>
*/
#ifndef Dxc_ExportDefinitions_h
#define Dxc_ExportDefinitions_h

#ifdef _WIN32

#define msleep(x) Sleep(x)

#define DIR_DELIM '\\'

#if defined(dxcApi_EXPORTS) || defined(DXCAPI_EXPORTS)
#define DXCAPI_EXPORT __declspec(dllexport)
#else
#define DXCAPI_EXPORT __declspec(dllimport)
#endif

#pragma warning (disable: 4251)

namespace Dxc
{

struct timeval {
    long    tv_sec;         /* seconds */
    long    tv_usec;        /* and microseconds */
};
extern long timezone;

int DXCAPI_EXPORT gettimeofday(struct timeval *tv, struct timezone *tz);

}


#else
#define DXCAPI_EXPORT
#define msleep(x) usleep(x*1000)
#define DIR_DELIM '/'

#endif

#ifdef __GNUC__
#define DEPRECATED(func) func __attribute__ ((deprecated))
#elif defined(_MSC_VER)
#define DEPRECATED(func) __declspec(deprecated) func
#else
#pragma message("WARNING: You need to implement DEPRECATED for this compiler")
#define DEPRECATED(func) func
#endif

#endif
