/*
  DXC Framework (http://dx-competition.org/)
  Copyright 2008 David Garcia

  The DXC Framework is free software: you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation, either version 3 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
  details.

  You should have received a copy of the GNU Lesser General Public License
  along with this program. If not, see <http://www.gnu.org/licenses/>
*/
#ifndef MESSAGE_SCANNER_HPP
#define MESSAGE_SCANNER_HPP

#ifndef YY_DECL
#define YY_DECL Dxc::MessageParser::token_type Dxc::MessageScanner::lex(Dxc::MessageParser::semantic_type *yylval, Dxc::MessageParser::location_type *yylloc)
#endif

#ifndef __FLEX_LEXER_H
#define yyFlexLexer MessageFlexLexer
#include "FlexLexer.h"
#undef yyFlexLexer
#endif

#include "MessageParser.hpp"

namespace Dxc
{

class MessageScanner : public MessageFlexLexer
{
public:
    MessageScanner(std::istream * = 0, std::ostream * = 0);

    virtual MessageParser::token_type lex(MessageParser::semantic_type *,
                                          MessageParser::location_type *);

    void set_debug(bool);
};

}

#endif
