package org.dxc.api.datatypes;

public class Command {
    private String commandID;
    private Value value;

    public Command(String commandID, Value value) {
        this.commandID = commandID;
        this.value = value;
    }

    public String getCommandID() {
        return commandID;
    }

    public Value getValue() {
        return value;
    }

    public String toString() {
        String ret = new String();

        ret += getCommandID() + " = ";
        ret += getValue();

        return ret;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result
                + ((commandID == null) ? 0 : commandID.hashCode());
        result = prime * result + ((value == null) ? 0 : value.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        Command other = (Command) obj;
        if (commandID == null) {
            if (other.commandID != null)
                return false;
        } else if (!commandID.equals(other.commandID))
            return false;
        if (value == null) {
            if (other.value != null)
                return false;
        } else if (!value.equals(other.value))
            return false;
        return true;
    }
}
