package org.dxc.api.datatypes;

public class Fault {
    private String componentID;
    private String modeID;
    private StringValueMap parameters;

    public Fault(String componentID, String modeID, StringValueMap parameters) {
        this.componentID = componentID;
        this.modeID = modeID;
        this.parameters = parameters;
    }

    public Fault(String componentID, String modeID) {
        this.componentID = componentID;
        this.modeID = modeID;
        this.parameters = new StringValueMap();
    }

    public String getComponentID() {
        return componentID;
    }

    public String getModeID() {
        return modeID;
    }

    public StringValueMap getParameterMap() {
        return parameters;
    }

    public void setParameterMap(StringValueMap pm) {
        parameters = pm;
    }

    public String toString() {
        String ret = new String();

        ret += getComponentID() + " = ";
        ret += getModeID();

        if (!parameters.isEmpty()) {
            ret += " [ ";
            java.util.Iterator<String> j = parameters.keySet().iterator();

            while (j.hasNext()) {
                String s = j.next();
                ret += s + " = " + parameters.get(s);
                if (j.hasNext())
                    ret += ", ";
            }

            ret += "]";
        }

        return ret;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result
                + ((componentID == null) ? 0 : componentID.hashCode());
        result = prime * result + ((modeID == null) ? 0 : modeID.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        Fault other = (Fault) obj;
        if (componentID == null) {
            if (other.componentID != null)
                return false;
        } else if (!componentID.equals(other.componentID))
            return false;
        if (modeID == null) {
            if (other.modeID != null)
                return false;
        } else if (!modeID.equals(other.modeID))
            return false;
        if (parameters == null) {
            if (other.parameters != null)
                return false;
        } else if (!parameters.equals(other.parameters))
            return false;
        return true;
    }
}
