/*
  DXC Framework (http://dx-competition.org/)
  Copyright 2008 David Garcia
  
  The DXC Framework is free software: you can redistribute it and/or modify it 
  under the terms of the GNU Lesser General Public License as published by the 
  Free Software Foundation, either version 3 of the License, or (at your 
  option) any later version. 

  This program is distributed in the hope that it will be useful, but WITHOUT 
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
  FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more 
  details. 

  You should have received a copy of the GNU Lesser General Public License 
  along with this program. If not, see <http://www.gnu.org/licenses/> 
 */
package org.dxc.evaluator;

import java.io.FileReader;

import org.dxc.api.DxcDataGenerator;
import org.dxc.api.parser.DxcParser;
import org.dxc.api.datatypes.ScenarioData;

public class ScenarioResultFile extends ScenarioResultData {
    private String scenarioName;

    public ScenarioResultFile(String scenarioName, ScenarioData sd)
            throws Exception {
        super();
        this.scenarioName = scenarioName;
        DxcDataGenerator dgen = new DxcParser(new FileReader(scenarioName));

        // no longer needed
        // processData(sd);

        process(dgen);
    }

    public String getName() {
        return scenarioName;
    }
}